import { Pet } from '../../types/Pet';
import { ApiService } from './index';

// Get API service instance
const api = ApiService.getInstance();

export async function fetchPets(): Promise<Pet[]> {
  const response = await api.get<Pet[]>('/api/v1/pet');
  return response.data;
}